/**
* Simple Exception class for reporting syntax errors found
* by the Parser.
*/
public class SyntaxException extends Exception {
	/**
	* Create a new SyntaxException with no information.
	*/
	public SyntaxException() {
		super();
	}
	/**
	* Create a new SyntaxException with a description.
	* @param s the descriptive string
	*/
	public SyntaxException(String s) {
		super(s);
	}
}
